Package org.sqlite

## Class SQLiteConnectionConfig

- java.lang.Object
- - org.sqlite.SQLiteConnectionConfig

All Implemented Interfaces:
  `Cloneable`

    public class SQLiteConnectionConfig
    extends Object
    implements Cloneable

Connection local configurations

### Constructor Summary

Constructors
`SQLiteConnectionConfig​(SQLiteConfig.DateClass dateClass, SQLiteConfig.DatePrecision datePrecision, String dateStringFormat, int transactionIsolation, SQLiteConfig.TransactionMode transactionMode, boolean autoCommit)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SQLiteConnectionConfig` `copyConfig()`
`static SQLiteConnectionConfig` `fromPragmaTable​(Properties pragmaTable)`
`SQLiteConfig.DateClass` `getDateClass()`
`FastDateFormat` `getDateFormat()`
`long` `getDateMultiplier()`
`SQLiteConfig.DatePrecision` `getDatePrecision()`
`String` `getDateStringFormat()`
`int` `getTransactionIsolation()`
`SQLiteConfig.TransactionMode` `getTransactionMode()`
`boolean` `isAutoCommit()`
`void` `setAutoCommit​(boolean autoCommit)`
`void` `setDateClass​(SQLiteConfig.DateClass dateClass)`
`void` `setDatePrecision​(SQLiteConfig.DatePrecision datePrecision)`
`void` `setDateStringFormat​(String dateStringFormat)`
`void` `setTransactionIsolation​(int transactionIsolation)`
`void` `setTransactionMode​(SQLiteConfig.TransactionMode transactionMode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLiteConnectionConfig

    public SQLiteConnectionConfig​(SQLiteConfig.DateClass dateClass,
                                  SQLiteConfig.DatePrecision datePrecision,
                                  String dateStringFormat,
                                  int transactionIsolation,
                                  SQLiteConfig.TransactionMode transactionMode,
                                  boolean autoCommit)

### Method Detail

#### fromPragmaTable

    public static SQLiteConnectionConfig fromPragmaTable​(Properties pragmaTable)

#### copyConfig

    public SQLiteConnectionConfig copyConfig()

#### getDateMultiplier

    public long getDateMultiplier()

#### getDateClass

    public SQLiteConfig.DateClass getDateClass()

#### setDateClass

    public void setDateClass​(SQLiteConfig.DateClass dateClass)

#### getDatePrecision

    public SQLiteConfig.DatePrecision getDatePrecision()

#### setDatePrecision

    public void setDatePrecision​(SQLiteConfig.DatePrecision datePrecision)

#### getDateStringFormat

    public String getDateStringFormat()

#### setDateStringFormat

    public void setDateStringFormat​(String dateStringFormat)

#### getDateFormat

    public FastDateFormat getDateFormat()

#### isAutoCommit

    public boolean isAutoCommit()

#### setAutoCommit

    public void setAutoCommit​(boolean autoCommit)

#### getTransactionIsolation

    public int getTransactionIsolation()

#### setTransactionIsolation

    public void setTransactionIsolation​(int transactionIsolation)

#### getTransactionMode

    public SQLiteConfig.TransactionMode getTransactionMode()

#### setTransactionMode

    public void setTransactionMode​(SQLiteConfig.TransactionMode transactionMode)